Subject: Fwd: bug#18014: 24.3; Unused Lexical argument warning, when argument is used in a function...

From: Matthew Fidler <[email-masked]>
Date: Mon, 14 Jul 2014 09:58:16 -0500

---------- Forwarded message ----------
From: Matthew Fidler <[email-masked]>
Date: Mon, Jul 14, 2014 at 9:57 AM
Subject: Re: bug#18014: 24.3; Unused Lexical argument warning, when
argument is used in a function...
To: Eli Zaretskii <[email-masked]>

Its the beginning of the function in the bug report.

https://github.com/ergoemacs/ergoemacs-mode/blob/7a30c03b59eab2b720c16f6cd8099c499fec1cc2/ergoemacs-translate.el#L695

On Mon, Jul 14, 2014 at 9:47 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Mon, 14 Jul 2014 07:25:56 -0500
> > From: Matthew Fidler <[email-masked]>
> >
> > I'm getting a warning  for ergoemacs-translate:
> >
> > Compiling file
> > e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-translate.el at
> Mon
> > Jul 14 07:17:14 2014
> > ergoemacs-translate.el:695:1:Warning: Unused lexical argument `key'
> >
> > I do use the argument key to calculate the translation, but the compiler
> > claims I am not.  I'm not sure if it is a bug in the warning or a bug in
> > my code.  For now, I can change key to _key to ignore the warning, but I
> > do think that this is an invalid warning.
> >
> > Here is the offending function:
>
> And which one is the offending line 695, please?
>